From 10f52704525e7c58eadf0c3ea5d6e555f8dd548d Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Jan 05 2021 14:18:39 +0000
Subject: [PATCH 2/8] libre/iceweasel: Remote Settings patching


Also add basic test that searches the entire source code tree for domain
name of Remote Settings server and fails the build if any occurrences
are found.

Needed to relocate quilt directory because IIRC it made some backups of
patched files that contained that domain name.

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 17fa64c..6632d6b 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -27,6 +27,9 @@
 #  - Modify the addons pages to use GNU IceCat plugins sources, rather
 #    than addons.mozilla.org, which hosts non-free addons
 #  - Disable EME, which is implemented via the non-free libWideVine CDM
+#  - Disable Normandy that let Mozilla push messages with recommendations
+#    of nonfree software
+#  - Make Remote Settings work completely offline using local data
 #  - Rebrand to Iceweasel, per the mozilla trademark policy,
 #    due to these FSDG changes
 #
@@ -74,6 +77,7 @@ source=(https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-
 source+=(https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-${_brandingrel}.branding.tar.xz{,.sig}
          libre.patch
          libre-searchengines.patch
+         libre-0001-always-sync-remote-settings-with-local-dump.patch
          vendor.js.in)
 source_armv7h=(arm.patch
                build-arm-libopus.patch)
@@ -257,14 +261,30 @@ END
   export QUILT_PATCHES="${brandingsrcdir}"/patches
   export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
   export QUILT_DIFF_ARGS='--no-timestamps'
+  export QUILT_PC=$srcdir/.pc
   quilt push -av
 
 
   ## libre patching ##
 
   # Remove remaining non-free bits
+  # Remove test-related networking dumps, because they contain code from
+  # some Amazon webpage with no clear licensing, thus nonfree.
+  # Also they interfere with checking of Remote Settings patching done later,
+  # because communication with RS server has been captured in them too.
+  rm python/mozperftest/mozperftest/system/example.zip
+  rm testing/mozbase/mozproxy/tests/files/mitm5-linux-firefox-amazon.zip
+
   echo "applying libre.patch"
-  patch -Np1 -i ../libre.patch
+  patch -Np1 --no-backup-if-mismatch -i ../libre.patch
+
+  echo "applying libre-0001-always-sync-remote-settings-with-local-dump.patch"
+  patch -Np1 --no-backup-if-mismatch -i ../libre-0001-always-sync-remote-settings-with-local-dump.patch
+
+  # Check Remote Settings patched completely by
+  # libre-0001-always-sync-remote-settings-with-local-dump.patch
+  local settings_server='firefox.settings.services.mozilla.com'
+  ! grep -qr $settings_server || { echo 'Remote Settings patching needs rework'; return 1; }
 
   # Disable various components at the source level
   sed -i 's/;1/;0/' toolkit/components/telemetry/components.conf
